# PyKDE.spec
# created by Hans-Peter Jansen <hpj@urpla.net> 
# based on work from: Marc Schmitt <littlewisp@gmx.net>
Name: PyKDE
License: MIT
Group: Development/Languages
Summary: Python bindings for KDE
Requires: PyQt kdelibs3
Version: 3.7
%define minor 2
Release: 7
URL: http://www.riverbankcomputing.co.uk/pykde/index.php
Distribution: LISA GmbH, Berlin, Germany <http://lisa-gmbh.de>
Source0: %{name}-%{version}-%{minor}.tar.gz
Patch0: PyKDE-build-mp1.diff
Patch1: PyKDE-kdepyuic.diff
Patch2: PyKDE-postproc.diff
#Patch3: PyKDE-readme.diff
Patch99: fixSipInclude.diff
Buildrequires: PyQt kdelibs3-devel python
%define python_base    %(echo `python -c "import sys; print (sys.prefix + '/%_lib/python' + sys.version[:3])"`)
%define python_site    %{python_base}/site-packages
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
These are the Python bindings for KDE. Included is "kdepyuic", a wrapper
around "pyuic" for KDE, and the PyKDE sip files needed for developing your
own PyKDE objects.

The documentation in placed in /usr/share/docs/packages/PyKDE.

Authors:
--------
   Jim Bublitz

Packaging by:
   Hans-Peter Jansen <hpj@urpla.net>

Provided by:
   LISA GmbH, Berlin <http://lisa-gmbh.de>

%prep
%setup -q -n %{name}-%{version}-%{minor}
%patch0 -p0
%patch1 -p0
chmod 755 kdepyuic
%patch2 -p0
#%patch3 -p0
%patch99 -p0
python fixSipInclude.py -v sip/*.sip

%build
# define empty for single CPU builds
export SMP=2
#export SMP=
[ -n "$SMP" ] && export MAKEFLAGS=-j2
export KDEDIR=/opt/kde3
export QTDIR=/usr/lib/qt3
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS"
time python build.py \
 -d ${RPM_BUILD_ROOT}%{python_site} \
 -l qt-mt \
 -m /usr/bin/make \
 -o $KDEDIR/%_lib \
 -p /usr/bin/sip \
 -r /usr/lib/qt3/%_lib \
 -t %{python_base} \
 -v /usr/share/sip/qt \
 $MAKEFLAGS

[ -n "$SMP" ] && {
    # first build primary modules in SMP mode, because build/qmake
    # isn't smart enough to track such dependancies at present
    time { cd dcop && make && cd ../kdecore && make && cd ../kdefx \
           && make && cd ../kdeui && make && cd .. && make; }
} || time make


%install
make install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
cp postproc ${RPM_BUILD_ROOT}%{_prefix}/bin/
cp kdepyuic ${RPM_BUILD_ROOT}%{_prefix}/bin/
export SHARE=${RPM_BUILD_ROOT}%{_prefix}/share/sip/kde
mkdir -p ${SHARE}
cp -a sip/*.sip ${SHARE}/
#mkdir -p ${SHARE}/kde30
#cp -a sip/kde30/*.sip ${SHARE}/kde30/
export DOCDIR=${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
mkdir -p $DOCDIR
cp -a doc $DOCDIR/
cp -a examples $DOCDIR/
cp -a tests $DOCDIR/
cp importTest.py $DOCDIR/
cp README* AUTHORS BUGS COPYING NEWS THANKS DETAILS ChangeLog $DOCDIR/

%files
%defattr(-,root,root)
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/*

%{_prefix}/share/sip/kde/*.sip
#%{_prefix}/share/sip/kde/kde30/*.sip

%{_prefix}/bin/kdepyuic
#FIXME: naming
%{_prefix}/bin/postproc

%{python_site}/dcop.py
%{python_site}/dcop.pyc
%{python_site}/libdcopcmodule.so.1.0.0
%{python_site}/libdcopcmodule.so
%{python_site}/libdcopcmodule.so.1
%{python_site}/libdcopcmodule.so.1.0

%{python_site}/kdecore.py
%{python_site}/kdecore.pyc
%{python_site}/libkdecorecmodule.so.1.0.0
%{python_site}/libkdecorecmodule.so
%{python_site}/libkdecorecmodule.so.1
%{python_site}/libkdecorecmodule.so.1.0

%{python_site}/kdefx.py
%{python_site}/kdefx.pyc
%{python_site}/libkdefxcmodule.so.1.0.0
%{python_site}/libkdefxcmodule.so
%{python_site}/libkdefxcmodule.so.1
%{python_site}/libkdefxcmodule.so.1.0

%{python_site}/kdeprint.py
%{python_site}/kdeprint.pyc
%{python_site}/libkdeprintcmodule.so.1.0.0
%{python_site}/libkdeprintcmodule.so
%{python_site}/libkdeprintcmodule.so.1
%{python_site}/libkdeprintcmodule.so.1.0

%{python_site}/kdesu.py
%{python_site}/kdesu.pyc
%{python_site}/libkdesucmodule.so.1.0.0
%{python_site}/libkdesucmodule.so
%{python_site}/libkdesucmodule.so.1
%{python_site}/libkdesucmodule.so.1.0

%{python_site}/kdeui.py
%{python_site}/kdeui.pyc
%{python_site}/libkdeuicmodule.so.1.0.0
%{python_site}/libkdeuicmodule.so
%{python_site}/libkdeuicmodule.so.1
%{python_site}/libkdeuicmodule.so.1.0

%{python_site}/kfile.py
%{python_site}/kfile.pyc
%{python_site}/libkfilecmodule.so.1.0.0
%{python_site}/libkfilecmodule.so
%{python_site}/libkfilecmodule.so.1
%{python_site}/libkfilecmodule.so.1.0

%{python_site}/khtml.py
%{python_site}/khtml.pyc
%{python_site}/libkhtmlcmodule.so.1.0.0
%{python_site}/libkhtmlcmodule.so
%{python_site}/libkhtmlcmodule.so.1
%{python_site}/libkhtmlcmodule.so.1.0

%{python_site}/kio.py
%{python_site}/kio.pyc
%{python_site}/libkiocmodule.so.1.0.0
%{python_site}/libkiocmodule.so
%{python_site}/libkiocmodule.so.1
%{python_site}/libkiocmodule.so.1.0

%{python_site}/kjs.py
%{python_site}/kjs.pyc
%{python_site}/libkjscmodule.so.1.0.0
%{python_site}/libkjscmodule.so
%{python_site}/libkjscmodule.so.1
%{python_site}/libkjscmodule.so.1.0

%{python_site}/kparts.py
%{python_site}/kparts.pyc
%{python_site}/libkpartscmodule.so.1.0.0
%{python_site}/libkpartscmodule.so
%{python_site}/libkpartscmodule.so.1
%{python_site}/libkpartscmodule.so.1.0

%{python_site}/kspell.py
%{python_site}/kspell.pyc
%{python_site}/libkspellcmodule.so.1.0.0
%{python_site}/libkspellcmodule.so
%{python_site}/libkspellcmodule.so.1
%{python_site}/libkspellcmodule.so.1.0

%changelog -n PyKDE
* Sat Aug 09 2003 - hpj@urpla.net
- recompiled release 3.7-2
* Sun Apr 20 2003 - hpj@urpla.net
- recompiled for PyQt snapshot release 20030326
  and PyKDE-3.5-2
* Sat Apr 19 2003 - hpj@urpla.net
- recompiled for PyQt snapshot release 20030326
* Sat Mar 01 2003 - hpj@urpla.net
- recompiled for PyQt snapshot release 20030227
* Mon Nov 25 2002 - hpj@urpla.net
- lower the requirements
- adapted to KDE 3.0.5
* Wed Oct 16 2002 - hpj@urpla.net
- adapted from Marc Schmitt
- make more SuSE lookalike
- join to one package
- correct sip/khtml_part.sip fix
