from kdeui import PyKPanelApplet, KPanelApplet, KDateTable, KMessageBox
from qt import QColor, QFrame, QTimer, QDate, QPushButton, SIGNAL, QLabel


# Any panel applet written in Python must include THIS "factory" function
# The name must be createApplet, and it must take the two args shown; it
# must return a PyKPanelApplet subclass
def createApplet (parent, configFile):
    actions = KPanelApplet.About | KPanelApplet.Help | KPanelApplet.Preferences
    return WeekdayPanelApplet (configFile, KPanelApplet.Normal, actions, parent, "weekday")


# Define the PyKPanelApplet subclass in a fashion similar to this
# (PyKPanelApplet is a subclass of KPanelApplet, and exposes all of
# KPanelApplet's methods)
class WeekdayPanelApplet (PyKPanelApplet):
    def __init__  (self, configFile, t, actions, parent, name, f = 0):
        PyKPanelApplet.__init__ (self, configFile, t, actions, parent, name, f)

        self.setPaletteBackgroundColor(QColor (0xff, 0xff, 0xc0))
        self.setFrameStyle( QFrame.StyledPanel | QFrame.Sunken )

        self.timer = QTimer (self)

        # once an hour
        self.timer.start (3600000)
        self.connect (self.timer, SIGNAL ("timeout ()"), self.slotTimeout)


        self.dayLbl = QLabel (self)
        self.dayLbl.setGeometry (2, 0, 30, 18)

        self.calBtn = QPushButton (self)
        self.calBtn.setGeometry (5, 16, 20, 10)
        self.connect (self.calBtn, SIGNAL ("clicked ()"), self.slotClicked)

        # initialize
        self.slotTimeout ()

    def widthForHeight (self, h):
        return h

    def heightForWidth (self, w ):
        return w

    def slotTimeout (self):
        self.dayLbl.setText (QDate.shortDayName (QDate.currentDate ().dayOfWeek ()))

    def slotClicked (self):
        self.dt = KDateTable (self.parent ())
        self.dt.setGeometry (400, 600, 300, 130)
        self.dt.show ()

    def about (self):
        KMessageBox.information (self.parent (), "About not implemented", "weekday")

    def help (self):
        KMessageBox.information (self.parent (), "Help not implemented", "weekday")

    def preferences (self):
        KMessageBox.information (self.parent (), "Preferences not implemented", "weekday")
